org.eclipse.lyo.oslc4j.provider.jena

## Class RdfXmlAbbreviatedWriter

- java.lang.Object
- - org.eclipse.lyo.oslc4j.provider.jena.RdfXmlAbbreviatedWriter

- All Implemented Interfaces:
    com.hp.hpl.jena.rdf.model.RDFWriter

      public class RdfXmlAbbreviatedWriter
      extends Object
      implements com.hp.hpl.jena.rdf.model.RDFWriter

  RDF writer or serializer in the abbreviated XML syntax.

  Supported features include:

  - Reification serialization compliant with the OSLC Quality Management V 2.0 Specification (Labels for Relationships) guidance.
  - Properties:
    - `RDF_PROPERTY_SHOW_XML_DECLARATION`
    - `RDF_PROPERTY_INDENT`
    - `RDF_PROPERTY_TAB`
  Since:
    1.0
  Version:
    1.0
  Author:
    Patrick Streule, Paul Slauenwhite, Martin Aeschlimann, Sandeep Somavarapu
  See Also:
    `RDFWriter`

- - ### Field Summary

    - ### Fields inherited from interface com.hp.hpl.jena.rdf.model.RDFWriter

      `NSPREFIXPROPBASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RdfXmlAbbreviatedWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.hp.hpl.jena.rdf.model.RDFErrorHandler` | `setErrorHandler(com.hp.hpl.jena.rdf.model.RDFErrorHandler errorHandler)`
    `Object` | `setProperty(String propName, Object propValue)` Sets a property on this writer.
    `void` | `write(com.hp.hpl.jena.rdf.model.Model model, OutputStream out, String base)`
    `void` | `write(com.hp.hpl.jena.rdf.model.Model model, Writer writer, String base)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RdfXmlAbbreviatedWriter

          public RdfXmlAbbreviatedWriter()

  - ### Method Detail

    - #### setProperty

          public Object setProperty(String propName,
                           Object propValue)

      Sets a property on this writer.

      Supported properties include:

      - `RDF_PROPERTY_SHOW_XML_DECLARATION`
      - `RDF_PROPERTY_INDENT`
      - `RDF_PROPERTY_TAB`
      Specified by:
        `setProperty` in interface `com.hp.hpl.jena.rdf.model.RDFWriter`
      Parameters:
        `propName` - The (supported) property name.
        `propValue` - The property value (`String`, `Boolean`, or `Integer`), otherwise `null`.
      Returns:
        The old property value, otherwise `null`.
      See Also:
        `RDFWriter.setProperty(java.lang.String, java.lang.Object)`

    - #### setErrorHandler

          public com.hp.hpl.jena.rdf.model.RDFErrorHandler setErrorHandler(com.hp.hpl.jena.rdf.model.RDFErrorHandler errorHandler)

      Specified by:
        `setErrorHandler` in interface `com.hp.hpl.jena.rdf.model.RDFWriter`

    - #### write

          public void write(com.hp.hpl.jena.rdf.model.Model model,
                   OutputStream out,
                   String base)

      Specified by:
        `write` in interface `com.hp.hpl.jena.rdf.model.RDFWriter`

    - #### write

          public void write(com.hp.hpl.jena.rdf.model.Model model,
                   Writer writer,
                   String base)

      Specified by:
        `write` in interface `com.hp.hpl.jena.rdf.model.RDFWriter`

Copyright © 2016. All rights reserved.